#
# Conditional build:
%bcond_with	tests		# build with tests

Summary:	Python SVN GUI Tools
Summary(pl.UTF-8):	Graficzne narzędzia w Pythonie do SVN
Name:		pysvn-workbench
Version:	1.7.0
Release:	1
License:	Apache
Group:		Development/Tools
Source0:	http://pysvn.barrys-emacs.org/source_kits/WorkBench-%{version}.tar.gz
# Source0-md5:	aed0cc35a87c6dd287ad6a1a2fcf5b06
Source1:	wb.sh
URL:		http://pysvn.tigris.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	desktop-file-utils
Requires:	python
Requires:	python-pysvn >= 1.8.0
Requires:	python-wxPython
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pysvn WorkBench Features:
- Easy to learn and use
- All subversion client operations in a GUI
- Support software development workflow
- Builtin GUI diff showing line and character diffs
- Ability to diff between revisions in a files history
- Runs on Windows and Unix platforms
- Implemented in Python, allowing customisation

%description -l pl.UTF-8
Cechy pysvn WorkBench:
- łatwy do nauki i używania
- wszystkie operacje klienckie subversion z poziomu GUI
- obsługa przepływu pracy przy tworzeniu oprogramowania
- wbudowany graficzny diff pokazujący różnice linii i znaków
- możliwość porównywania między rewizjami plików w historii
- działa na platformach Windows i Unix
- zaimplementowany w Pythonie, konfigurowalny

%prep
%setup -q -n WorkBench-%{version}

ln -s Source/linux-rpmbuild.mak Makefile

%{__sed} -i -e 's/install /install -p /' Makefile

%build
%{__make} \
	PYTHON=%{__python}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_postclean %{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pysvn-workbench
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py[co]
%{_datadir}/%{name}/wb.png
%{_desktopdir}/pysvn-workbench.desktop
%changelog
* Wed Mar 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pysvn-workbench.git;a=log;h=master

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> fe5ba83
- update rpm group; rel 1

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 484ffdb
- add run wrapper

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 036f938
- add desktop file

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 5998986
- use upstream make to build and install

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 113a7c2
- require pysvn 1.8 for subversion 1.9

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 30bd41e
- up to 1.7.0; build noarch

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> ba45a5a
- fix name vs .spec mismatch

* Tue Jun 03 2008 Paweł Sikora <pluto@pld-linux.org> e79ac19
- updated to 1.5.3.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 56f5666
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ed0f70
- converted to UTF-8

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> c454b02
- pl

* Sun Sep 11 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 7daff55
- new

